import { registerLocalization } from '@codingame/monaco-vscode-api/l10n';
import content from './translations/main.i18n.json.js';

registerLocalization('MS-CEINTL.vscode-language-pack-it', 'it', content, {
  'ms-vscode.js-debug': new URL('./translations/extensions/ms-vscode.js-debug.i18n.json', import.meta.url).href,
  'vscode.bat': new URL('./translations/extensions/vscode.bat.i18n.json', import.meta.url).href,
  'vscode.builtin-notebook-renderers': new URL('./translations/extensions/vscode.builtin-notebook-renderers.i18n.json', import.meta.url).href,
  'vscode.clojure': new URL('./translations/extensions/vscode.clojure.i18n.json', import.meta.url).href,
  'vscode.coffeescript': new URL('./translations/extensions/vscode.coffeescript.i18n.json', import.meta.url).href,
  'vscode.configuration-editing': new URL('./translations/extensions/vscode.configuration-editing.i18n.json', import.meta.url).href,
  'vscode.cpp': new URL('./translations/extensions/vscode.cpp.i18n.json', import.meta.url).href,
  'vscode.csharp': new URL('./translations/extensions/vscode.csharp.i18n.json', import.meta.url).href,
  'vscode.css-language-features': new URL('./translations/extensions/vscode.css-language-features.i18n.json', import.meta.url).href,
  'vscode.css': new URL('./translations/extensions/vscode.css.i18n.json', import.meta.url).href,
  'vscode.dart': new URL('./translations/extensions/vscode.dart.i18n.json', import.meta.url).href,
  'vscode.debug-auto-launch': new URL('./translations/extensions/vscode.debug-auto-launch.i18n.json', import.meta.url).href,
  'vscode.debug-server-ready': new URL('./translations/extensions/vscode.debug-server-ready.i18n.json', import.meta.url).href,
  'vscode.diff': new URL('./translations/extensions/vscode.diff.i18n.json', import.meta.url).href,
  'vscode.docker': new URL('./translations/extensions/vscode.docker.i18n.json', import.meta.url).href,
  'vscode.emmet': new URL('./translations/extensions/vscode.emmet.i18n.json', import.meta.url).href,
  'vscode.extension-editing': new URL('./translations/extensions/vscode.extension-editing.i18n.json', import.meta.url).href,
  'vscode.fsharp': new URL('./translations/extensions/vscode.fsharp.i18n.json', import.meta.url).href,
  'vscode.git-base': new URL('./translations/extensions/vscode.git-base.i18n.json', import.meta.url).href,
  'vscode.git': new URL('./translations/extensions/vscode.git.i18n.json', import.meta.url).href,
  'vscode.github-authentication': new URL('./translations/extensions/vscode.github-authentication.i18n.json', import.meta.url).href,
  'vscode.github': new URL('./translations/extensions/vscode.github.i18n.json', import.meta.url).href,
  'vscode.go': new URL('./translations/extensions/vscode.go.i18n.json', import.meta.url).href,
  'vscode.groovy': new URL('./translations/extensions/vscode.groovy.i18n.json', import.meta.url).href,
  'vscode.grunt': new URL('./translations/extensions/vscode.grunt.i18n.json', import.meta.url).href,
  'vscode.gulp': new URL('./translations/extensions/vscode.gulp.i18n.json', import.meta.url).href,
  'vscode.handlebars': new URL('./translations/extensions/vscode.handlebars.i18n.json', import.meta.url).href,
  'vscode.hlsl': new URL('./translations/extensions/vscode.hlsl.i18n.json', import.meta.url).href,
  'vscode.html-language-features': new URL('./translations/extensions/vscode.html-language-features.i18n.json', import.meta.url).href,
  'vscode.html': new URL('./translations/extensions/vscode.html.i18n.json', import.meta.url).href,
  'vscode.ini': new URL('./translations/extensions/vscode.ini.i18n.json', import.meta.url).href,
  'vscode.ipynb': new URL('./translations/extensions/vscode.ipynb.i18n.json', import.meta.url).href,
  'vscode.jake': new URL('./translations/extensions/vscode.jake.i18n.json', import.meta.url).href,
  'vscode.java': new URL('./translations/extensions/vscode.java.i18n.json', import.meta.url).href,
  'vscode.javascript': new URL('./translations/extensions/vscode.javascript.i18n.json', import.meta.url).href,
  'vscode.json-language-features': new URL('./translations/extensions/vscode.json-language-features.i18n.json', import.meta.url).href,
  'vscode.json': new URL('./translations/extensions/vscode.json.i18n.json', import.meta.url).href,
  'vscode.julia': new URL('./translations/extensions/vscode.julia.i18n.json', import.meta.url).href,
  'vscode.latex': new URL('./translations/extensions/vscode.latex.i18n.json', import.meta.url).href,
  'vscode.less': new URL('./translations/extensions/vscode.less.i18n.json', import.meta.url).href,
  'vscode.log': new URL('./translations/extensions/vscode.log.i18n.json', import.meta.url).href,
  'vscode.lua': new URL('./translations/extensions/vscode.lua.i18n.json', import.meta.url).href,
  'vscode.make': new URL('./translations/extensions/vscode.make.i18n.json', import.meta.url).href,
  'vscode.markdown-language-features': new URL('./translations/extensions/vscode.markdown-language-features.i18n.json', import.meta.url).href,
  'vscode.markdown-math': new URL('./translations/extensions/vscode.markdown-math.i18n.json', import.meta.url).href,
  'vscode.markdown': new URL('./translations/extensions/vscode.markdown.i18n.json', import.meta.url).href,
  'vscode.media-preview': new URL('./translations/extensions/vscode.media-preview.i18n.json', import.meta.url).href,
  'vscode.merge-conflict': new URL('./translations/extensions/vscode.merge-conflict.i18n.json', import.meta.url).href,
  'vscode.microsoft-authentication': new URL('./translations/extensions/vscode.microsoft-authentication.i18n.json', import.meta.url).href,
  'vscode.npm': new URL('./translations/extensions/vscode.npm.i18n.json', import.meta.url).href,
  'vscode.objective-c': new URL('./translations/extensions/vscode.objective-c.i18n.json', import.meta.url).href,
  'vscode.perl': new URL('./translations/extensions/vscode.perl.i18n.json', import.meta.url).href,
  'vscode.php-language-features': new URL('./translations/extensions/vscode.php-language-features.i18n.json', import.meta.url).href,
  'vscode.php': new URL('./translations/extensions/vscode.php.i18n.json', import.meta.url).href,
  'vscode.powershell': new URL('./translations/extensions/vscode.powershell.i18n.json', import.meta.url).href,
  'vscode.prompt': new URL('./translations/extensions/vscode.prompt.i18n.json', import.meta.url).href,
  'vscode.pug': new URL('./translations/extensions/vscode.pug.i18n.json', import.meta.url).href,
  'vscode.python': new URL('./translations/extensions/vscode.python.i18n.json', import.meta.url).href,
  'vscode.r': new URL('./translations/extensions/vscode.r.i18n.json', import.meta.url).href,
  'vscode.razor': new URL('./translations/extensions/vscode.razor.i18n.json', import.meta.url).href,
  'vscode.references-view': new URL('./translations/extensions/vscode.references-view.i18n.json', import.meta.url).href,
  'vscode.restructuredtext': new URL('./translations/extensions/vscode.restructuredtext.i18n.json', import.meta.url).href,
  'vscode.ruby': new URL('./translations/extensions/vscode.ruby.i18n.json', import.meta.url).href,
  'vscode.rust': new URL('./translations/extensions/vscode.rust.i18n.json', import.meta.url).href,
  'vscode.scss': new URL('./translations/extensions/vscode.scss.i18n.json', import.meta.url).href,
  'vscode.search-result': new URL('./translations/extensions/vscode.search-result.i18n.json', import.meta.url).href,
  'vscode.shaderlab': new URL('./translations/extensions/vscode.shaderlab.i18n.json', import.meta.url).href,
  'vscode.shellscript': new URL('./translations/extensions/vscode.shellscript.i18n.json', import.meta.url).href,
  'vscode.simple-browser': new URL('./translations/extensions/vscode.simple-browser.i18n.json', import.meta.url).href,
  'vscode.sql': new URL('./translations/extensions/vscode.sql.i18n.json', import.meta.url).href,
  'vscode.swift': new URL('./translations/extensions/vscode.swift.i18n.json', import.meta.url).href,
  'vscode.terminal-suggest': new URL('./translations/extensions/vscode.terminal-suggest.i18n.json', import.meta.url).href,
  'vscode.theme-abyss': new URL('./translations/extensions/vscode.theme-abyss.i18n.json', import.meta.url).href,
  'vscode.theme-defaults': new URL('./translations/extensions/vscode.theme-defaults.i18n.json', import.meta.url).href,
  'vscode.theme-kimbie-dark': new URL('./translations/extensions/vscode.theme-kimbie-dark.i18n.json', import.meta.url).href,
  'vscode.theme-monokai-dimmed': new URL('./translations/extensions/vscode.theme-monokai-dimmed.i18n.json', import.meta.url).href,
  'vscode.theme-monokai': new URL('./translations/extensions/vscode.theme-monokai.i18n.json', import.meta.url).href,
  'vscode.theme-quietlight': new URL('./translations/extensions/vscode.theme-quietlight.i18n.json', import.meta.url).href,
  'vscode.theme-red': new URL('./translations/extensions/vscode.theme-red.i18n.json', import.meta.url).href,
  'vscode.theme-solarized-dark': new URL('./translations/extensions/vscode.theme-solarized-dark.i18n.json', import.meta.url).href,
  'vscode.theme-solarized-light': new URL('./translations/extensions/vscode.theme-solarized-light.i18n.json', import.meta.url).href,
  'vscode.theme-tomorrow-night-blue': new URL('./translations/extensions/vscode.theme-tomorrow-night-blue.i18n.json', import.meta.url).href,
  'vscode.tunnel-forwarding': new URL('./translations/extensions/vscode.tunnel-forwarding.i18n.json', import.meta.url).href,
  'vscode.typescript-language-features': new URL('./translations/extensions/vscode.typescript-language-features.i18n.json', import.meta.url).href,
  'vscode.typescript': new URL('./translations/extensions/vscode.typescript.i18n.json', import.meta.url).href,
  'vscode.vb': new URL('./translations/extensions/vscode.vb.i18n.json', import.meta.url).href,
  'vscode.vscode-theme-seti': new URL('./translations/extensions/vscode.vscode-theme-seti.i18n.json', import.meta.url).href,
  'vscode.xml': new URL('./translations/extensions/vscode.xml.i18n.json', import.meta.url).href,
  'vscode.yaml': new URL('./translations/extensions/vscode.yaml.i18n.json', import.meta.url).href
});
